<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/LoginModel.php';
require_once '../Class/controller/LoginControl.php';

$control = new LoginControl();
$model = new LoginModel();

$control->setAction();
$control->setId();

$action = $control->getAction();
$id = $control->getId();

//LoadDados
if ($id > 0)
{
	$model->load($id);
}

if($action == 'save')
{
	try 
	{	
		if ($control->ValidaSenha())
		{
			echo "<script type='text/javascript'>"; 
			echo "alert('Senha de confirmação está diferente da senha principal')";
			echo "</script>";
		}
		elseif ($control->ValidaLogin())
		{
			echo "<script type='text/javascript'>"; 
			echo "alert('Este login já está cadastrado na base de dados')";
			echo "</script>";
			
			$model->setLogin($_POST['login']);
			$model->setNome($_POST['nome']);
			$model->setEmail($_POST['email']);
		}
		else
		{
			$control->GetData();
			header( 'Location: usuarios.php' );
		}
	}
	catch(Exception $err)
	{
		echo "<script>alert('Ocorreu um problema ao salvar o registro.');</script>";
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>
<script src="js/usuarios.js" type="text/javascript"></script>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Cadastro de Usuários</div>

<form id="frmRegister" method="post" action="">
<input type="hidden" id="hdnAction" name="action" value="save" /> 
<input type="hidden" id="hdnId" name="Id" value="<?php echo $model->getId();?>" />

<table border="0" cellpadding="3" cellspacing="0" class="tblGeral"
	width="100%">
	<tr>
		<td><span class="title">Login:</span></td>
		<td><input type="text" id="login" name="login" class="content-data"
			style="width: 190px;" value="<?php echo $model->getLogin();?>" /></td>
	</tr>
	<tr>
		<td><span class="title">Nome:</span></td>
		<td><input type="text" id="nome" name="nome" class="content-data"
			style="width: 300px;" value="<?php echo $model->getNome();?>" /></td>
	</tr>
	<tr>
		<td><span class="title">Senha:</span></td>
		<td><input type="password" id="senha" name="senha" class="content-data"
			style="width: 120px;" /></td>
	</tr>
	<tr>
		<td><span class="title">Confirmar senha:</span></td>
		<td><input type="password" id="senha-confirmar" name="senha-confirmar" class="content-data"
			style="width: 120px;" /></td>
	</tr>
	<tr>
		<td><span class="title">E-mail:</span></td>
		<td><input type="text" id="email" name="email" class="content-data"
			style="width: 300px;" value="<?php echo $model->getEmail();?>" /></td>
	</tr>
</table>

<div id="pBotoes" style="text-align: right"><span>&nbsp;</span> <br />
<input type="submit" id="btnSalvar" name="btnSalvar" class="submit" value="Salvar" /> <input
	type="button" name="btnCancelar" class="submit" value="Cancelar"
	onclick="window. location.href='usuarios.php'" /></div>

</form>

</div>

</div>

</div>

<?php include_once('controls/footer.php'); ?>

</body>
</html>
